/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../vtype.h"

#ifndef LIBCDSB_EXTRA_VTYPE_H
#define LIBCDSB_EXTRA_VTYPE_H

extern const size_t LIBCDSB_VTYPE_SIZES[18];

extern const char* libcdsb_vtype_name(vtype t);
extern const char* libcdsb_vtype_stringify(const void* value, vtype t);

#endif /* LIBCDSB_EXTRA_VTYPE_H */
