/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../set.h"

#ifndef LIBCDSB_EXTRA_SET_H
#define LIBCDSB_EXTRA_SET_H

typedef int (*vset_foreach_callback)(const void* value, vtype type, void* data);


#define vset_foreach(x, data, callback) libcdsb_vset_foreach(x, data, callback, 0)

extern _Bool libcdsb_vset_find  (vtype_value* x, vtype_set* s, const void* value, vtype type, _Bool cut) LIBCDSB_nt__ LIBCDSB_nn23__;
extern _Bool libcdsb_vset_insert(vtype_set*   x, const void* value, vtype type) LIBCDSB_nt__ LIBCDSB_nn12__;

extern int libcdsb_vset_foreach(vtype_set* x, void* data, vset_foreach_callback, _Bool flush) LIBCDSB_nt__ LIBCDSB_nn13__;

#endif /* LIBCDSB_EXTRA_SET_H */
